package com.steerinfo.baseinfo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class SelectMatterDemo {

    @ApiModelProperty(value="",required=true)
    private Integer pageNum;

    @ApiModelProperty(value="",required=true)
    private Integer pageSize;
    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 索引码(INDEX_CODE,VARCHAR,40)
     */
    @ApiModelProperty(value="索引码",required=false)
    private String indexCode;

    /**
     * 助记码(MNEMONIC_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="助记码",required=false)
    private String mnemonicCode;

    /**
     * 物料属性编号(MATTER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料属性编号",required=false)
    private String matterNatureNo;

    /**
     * 物料属性名称(MATTER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="物料属性名称",required=false)
    private String matterNatureName;

    /**
     * 计量属性编号(METER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量属性编号",required=false)
    private String meterNatureNo;

    /**
     * 计量属性名称(METER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量属性名称",required=false)
    private String meterNatureName;

    /**
     * 标志(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="标志",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 计量码(METER_CODE,VARCHAR,5)
     */
    @ApiModelProperty(value="计量码",required=false)
    private String meterCode;

    /**
     * 是否允许使用期限皮重(0不可，1可以)(ALLOWED_TARE_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用期限皮重(0不可，1可以)",required=false)
    private String allowedTareWeight;

    /**
     * 是否允许使用附加重量(0不可，1可以)(ALLOWED_ADD_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用附加重量(0不可，1可以)",required=false)
    private String allowedAddWeight;

    /**
     * 预报有效天数，默认为5天；(SCALE_VALID_PERIOD,VARCHAR,1)
     */
    @ApiModelProperty(value="预报有效天数，默认为5天；",required=false)
    private String scaleValidPeriod;

    @ApiModelProperty(value="预报有效天数，默认为5天；",required=false)
    private String memo;

    private static final long serialVersionUID = 1L;

    public String getScaleValidPeriod() {
        return scaleValidPeriod;
    }

    public void setScaleValidPeriod(String scaleValidPeriod) {
        this.scaleValidPeriod = scaleValidPeriod == null ? null : scaleValidPeriod.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode == null ? null : indexCode.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getMatterNatureNo() {
        return matterNatureNo;
    }

    public void setMatterNatureNo(String matterNatureNo) {
        this.matterNatureNo = matterNatureNo == null ? null : matterNatureNo.trim();
    }

    public String getMatterNatureName() {
        return matterNatureName;
    }

    public void setMatterNatureName(String matterNatureName) {
        this.matterNatureName = matterNatureName == null ? null : matterNatureName.trim();
    }

    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo == null ? null : meterNatureNo.trim();
    }

    public String getMeterNatureName() {
        return meterNatureName;
    }

    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName == null ? null : meterNatureName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getMeterCode() {
        return meterCode;
    }

    public void setMeterCode(String meterCode) {
        this.meterCode = meterCode == null ? null : meterCode.trim();
    }

    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight == null ? null : allowedTareWeight.trim();
    }

    public String getAllowedAddWeight() {
        return allowedAddWeight;
    }

    public void setAllowedAddWeight(String allowedAddWeight) {
        this.allowedAddWeight = allowedAddWeight == null ? null : allowedAddWeight.trim();
    }
}
